Bug 1373903 - Docker interfaces are parsed by default, leading to huge times in parsing the facts
Summary: Docker interfaces are parsed by default, leading to huge times in parsing the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: Unspecified
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
: 1436918 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-07 12:00 UTC by Vladimir Dulava
Modified: 2020-04-15 14:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16834 Low Closed Put docker interfaces pattern into `ignored_interface_identifiers`, 2019-12-24 14:15:30 UTC
Red Hat Knowledge Base (Solution) 3143031 None None None 2017-10-13 07:07:15 UTC

Description Vladimir Dulava 2016-09-07 12:00:35 UTC
Description of problem:
Network interfaces arent removed fromthe Satellite DB after become obsolete.
E.g. in case of case 01697184, CU has host running docker connected to satellite, which is creating, using, removing virtual network interfaces which have it's entries in Satellite database. Once the virtual interface becomes obsolete, it is not removed from the DB, are still visible in Satellite UI and in case it is bigger number of them (hundreds, thousands) they are causing trouble with GUI to work quickly/properly or at least load.

Version-Release number of selected component (if applicable):
Sat 6

How reproducible:
By host running docker to Satellite server creating virtual network interfaces.

Steps to Reproduce:
1.
2.
3.

Actual results:
Obsolete network interfaces not removed from the DB.

Expected results:
Obsolete network interfaces to be removed from the DB by some automated routine

Additional info:
At this moment, the workaround is delete the entries manually from the DB but this is not what we could expect our customers would be doing on regular basis.

Comment 2 Ivan Necas 2016-10-07 16:20:50 UTC
Created redmine issue http://projects.theforeman.org/issues/16834 from this bug

Comment 3 Bryan Kearney 2016-10-07 18:02:46 UTC
Upstream bug assigned to inecas@redhat.com

Comment 4 Bryan Kearney 2016-10-07 18:02:50 UTC
Upstream bug component is Provisioning

Comment 5 Bryan Kearney 2016-10-07 18:02:55 UTC
Upstream bug assigned to inecas@redhat.com

Comment 6 Bryan Kearney 2016-10-11 10:02:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16834 has been resolved.

Comment 7 Ivan Necas 2017-03-30 14:55:55 UTC
*** Bug 1436918 has been marked as a duplicate of this bug. ***

Comment 9 Lukas Zapletal 2017-04-11 09:26:33 UTC
The patch that is associated with this BZ does not solve this BZ, it's a different kind of a workaround that "adds docker into ignore filter". New BZ should be created for this and we should take a look on proper solution to this problem - old NICs are not getting removed from DB making the import slower and slower killing Satellite 6.2 instance up to swapping and OOM.

This is very annoing and dangerous bug, the fix attached does not fix the issue (many NICs created), it only workarounds some group of hosts which are atomic/docker. We have reproduced the same behavior in labs yesterday without docker (with libvirt hypervisor):

https://bugzilla.redhat.com/show_bug.cgi?id=1440825

Comment 10 Ivan Necas 2017-04-11 10:09:31 UTC
Due to history of the bug and attached cases, I've updated the subject of the BZ.
Please file a new BZ with specific steps that we should do to handle this situation, probably against the Networking interface.

If I remember correctly, we discussed this with Marek some time ago and we have not found a better solution than this. Perhaps when taking more such cases into account, there might be a better solution. But I think the change being this BZ is still valid and useful for the users.

Comment 11 Lukas Zapletal 2017-04-11 11:26:40 UTC
Ok I have reported this upstream:

http://projects.theforeman.org/issues/19243

and

http://projects.theforeman.org/issues/19244

These are trackers to fix this in more sane way.

Comment 13 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.